const license = require('../lib');
const fs = require('fs')

const template = [
  '====BEGIN LICENSE====',
  '{{&licenseVersion}}',
  '{{&applicationVersion}}',
  '{{&firstName}}',
  '{{&lastName}}',
  '{{&email}}',
  '{{&expirationDate}}',
  '{{&serial}}',
  '=====END LICENSE====='
].join('\n');

try {
 
  const licenseFileContent = license.generate({
      privateKeyPath: './private_key.pem',
      template,
      data: {
          licenseVersion: '1',
          applicationVersion: '1.0.0',
          firstName: 'Aditya',
          lastName: 'Raval',
          email: 'aditya@gmail.com.com',
          expirationDate: '12/10/2025'
      }
  });
  fs.writeFileSync('./LICENSE', licenseFileContent)

} catch (err) {
  
  console.log(err);
}